<?php
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

$app->post('/mensajechat',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody();    
$a=new ConsultasChat(); $a1=$a->chat_mensajes($post["idEmisor"],$post["codigo"],$post["pagina"]);
$paso["paso"]="no paso"; if($a1!=NULL){$paso["paso"]="paso"; $paso["lista"]=$a1;}
$pasoJson= json_encode($paso); $res->getBody()->write($pasoJson);
return $res->withHeader('Content-Type', 'application/json');});

$app->post("/ingresomensajechat",function(Request $pedido, Response $res, $args){
$post=$pedido->getParsedBody();   $control=$post["control"];
$idEmisor=$post["idEmisor"]; $idReceptor=$post["idReceptor"]; $archivo=$post["archivo"]; $mensaje=$post["mensaje"]; $codigo=$post["codigo"];
if($archivo!="vacio"){ $arc=json_decode($archivo,true); $conteo=0;
for($i=0;$i<sizeof($arc);$i++){
$imagen=imagenAdic11($arc[$i]["base64"],"ventas/chat",$arc[$i]["ext"],"archivo".$arc[$i]["ext"]."_");
if($imagen!=NULL){ $arc[$i]["base64"]="vacio"; $arc[$i]["archivo"]=$imagen; $arc[$i]["tipo"]="internet"; $arcNuevo[$conteo]=$arc[$i]; $conteo++;}}
if(isset($arcNuevo)){$archivo=json_encode($arcNuevo);}else{$archivo="vacio";} }
$a=new ConsultasChat(); $a1=$a->ingreso_mensaje($idEmisor,$idReceptor,$archivo,$mensaje,$codigo,$control,$post["fotoEmisor"],$post["nombreEmisor"],$post["folio"],$post["idAgente"],$post["nombreReceptor"],$post["fotoReceptor"],$post["idEmpresa"]??"1");
$paso["paso"]="no paso"; if($a1!=NULL){ $paso["paso"]="paso"; $paso["lista"]=$a1; }    
$pasoJson=json_encode($paso); $res->getBody()->write($pasoJson); return $res->withHeader('Content-Type', 'application/json');});

$app->post("/eliminarmensajechat",function (Request $pedido, Response $res, $args){
$post=$pedido->getParsedBody();    
$a=new ConsultasChat();  $a1=$a->eliminar_mensaje($post["idChat"]);
$paso["paso"]="no paso"; if($a1!=NULL){$paso["paso"]="paso"; $paso["lista"]=$a1;} $pasoJson=json_encode($paso);
$res->getBody()->write($pasoJson); return $res->withHeader('Content-Type', 'application/json');});

$app->post("/vistomensajechat",function (Request $pedido, Response $res, $args){
$post=$pedido->getParsedBody();    
$a=new ConsultasChat();  $a1=$a->visto_mensaje($post["idReceptor"],$post["codigo"]);
$paso["paso"]="no paso"; if($a1!=NULL){$paso["paso"]="paso"; $paso["lista"]=$a1;}$pasoJson=json_encode($paso);
$res->getBody()->write($pasoJson); return $res->withHeader('Content-Type', 'application/json');});

$app->post("/agregarusuariosalachat",function (Request $pedido, Response $res, $args){
$post=$pedido->getParsedBody(); $a=new ConsultasChat(); $a1=$a->agregar_usuario_sala($post["codigo"],$post["folio"],$post["info"],$post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post("/consultasalachat",function (Request $pedido, Response $res, $args){
$post=$pedido->getParsedBody(); $a= new ConsultasChat(); $a1=$a->consulta_sala($post["codigo"],$post["folio"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post("/eliminarusuariosalachat",function (Request $pedido, Response $res, $args){
$post=$pedido->getParsedBody(); $a=new ConsultasChat(); $a1=$a->eliminar_usuario_sala($post["id"],$post["codigo"],$post["folio"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post("/consultausuarioschat",function (Request $pedido, Response $res, $args){
$post=$pedido->getParsedBody(); $a=new ConsultasChat(); $a1=$a->consulta_usuarios_chat($post["id"],$post["pagina"],$post["busqueda"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioEstado',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultasChat(); $a1=$a->cambiar_estado($post["estado"],$post["id"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ultimoMensaje',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultasChat(); $a1=$a->ultimos_mensajes($post["idReceptor"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ultimoEstado',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultasChat(); $a1=$a->ultimo_estado($post["id"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

?>
